## org.opencyc.uml.statemachine
Class CompositeState

    java.lang.Object
      |
      +--org.opencyc.uml.core.Element
            |
            +--org.opencyc.uml.core.ModelElement
                  |
                  +--org.opencyc.uml.statemachine.StateVertex
                        |
                        +--org.opencyc.uml.statemachine.State
                              |
                              +--org.opencyc.uml.statemachine.CompositeState

Direct Known Subclasses:
  SubmachineState

public class CompositeState
extends State

CompositeState from the UML State_Machines package.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Field Summary
`protected boolean` `isConcurrent` indicates concurrent processes
`protected boolean` `isRegion` A derived boolean value that indicates whether this composite state is a direct substate of a concurrent state.
`protected java.util.ArrayList` `subVertex` the set of state vertices that are owned by this composite state

Fields inherited from class org.opencyc.uml.statemachine.State
`deferrableEvent, doActivity, doActivityThread, entry, exit, internalTransition, isActive, stateInterpreter, stateMachine`

Fields inherited from class org.opencyc.uml.statemachine.StateVertex
`container, incoming, outgoing`

Fields inherited from class org.opencyc.uml.core.ModelElement
`comment, name, namespace`

Constructor Summary
`protected` `CompositeState()` Constructs a new CompositeState object.

Method Summary
`java.util.ArrayList` `getSubVertex()` Gets the set of state vertices that are owned by this composite state.
`boolean` `isConcurrent()` Gets whether concurrent processes.
`boolean` `isRegion()` Gets whether this composite state is a direct substate of a concurrent state.
`void` `setIsConcurrent(boolean isConcurrent)` Sets whether concurrent processes.
`void` `setIsRegion(boolean isRegion)` Sets whether this composite state is a direct substate of a concurrent state.
`void` `setSubVertex(java.util.ArrayList subVertex)` Sets the set of state vertices that are owned by this composite state.

Methods inherited from class org.opencyc.uml.statemachine.State
`getDeferrableEvent, getDoActivity, getDoActivityThread, getEntry, getExit, getInternalTransition, getStateInterpreter, getStateMachine, isActive, setDeferrableEvent, setDoActivity, setDoActivityThread, setEntry, setExit, setInternalTransition, setIsActive, setStateInterpreter, setStateMachine`

Methods inherited from class org.opencyc.uml.statemachine.StateVertex
`getContainer, getIncoming, getOutgoing, setContainer, setIncoming, setOutgoing`

Methods inherited from class org.opencyc.uml.core.ModelElement
`equals, getComment, getName, getNamespace, setComment, setName, setNamespace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### isConcurrent

    protected boolean isConcurrent

  indicates concurrent processes

### isRegion

    protected boolean isRegion

  A derived boolean value that indicates whether this composite state is a direct substate of a concurrent state.

### subVertex

    protected java.util.ArrayList subVertex

  the set of state vertices that are owned by this composite state

Constructor Detail

### CompositeState

    protected CompositeState()

  Constructs a new CompositeState object.

Method Detail

### isConcurrent

    public boolean isConcurrent()

  Gets whether concurrent processes.
  Returns:
    whether concurrent processes

### setIsConcurrent

    public void setIsConcurrent(boolean isConcurrent)

  Sets whether concurrent processes.
  Parameters:
    `isConcurrent` - whether concurrent processes

### getSubVertex

    public java.util.ArrayList getSubVertex()

  Gets the set of state vertices that are owned by this composite state.
  Returns:
    the set of state vertices that are owned by this composite state

### setSubVertex

    public void setSubVertex(java.util.ArrayList subVertex)

  Sets the set of state vertices that are owned by this composite state.
  Parameters:
    `subVertex` - the set of state vertices that are owned by this composite state

### isRegion

    public boolean isRegion()

  Gets whether this composite state is a direct substate of a concurrent state.
  Returns:
    whether this composite state is a direct substate of a concurrent state

### setIsRegion

    public void setIsRegion(boolean isRegion)

  Sets whether this composite state is a direct substate of a concurrent state.
  Parameters:
    `isRegion` - whether this composite state is a direct substate of a concurrent state